#include "ZoomDimensions.h"

#include <algorithm>

ZoomDimensions::ZoomDimensions(void)
{



}

ZoomDimensions::ZoomDimensions(const double & left, const double & right, const double & bottom, const double & top)
						:m_left(left), m_right(right), m_bottom(bottom), m_top(top)
{
	swapIfOutOfOrder();
}

void ZoomDimensions::setLeftBottom(const double & left, const double & bottom)
{
	m_left		= left;
	m_bottom	= bottom;
}


void ZoomDimensions::setRightTop(const double & right, const double & top)
{
	m_right		= right;
	m_top		= top;
}

double ZoomDimensions::getLeft(void) const
{
	return m_left;
}

double ZoomDimensions::getRight(void) const
{
	return m_right;
}

double ZoomDimensions::getBottom(void) const
{
	return m_bottom;
}

double ZoomDimensions::getTop(void) const
{
	return m_top;
}

double ZoomDimensions::getHorizontalRange(void) const
{
	return (m_right - m_left);
}

double ZoomDimensions::getVerticalRange(void) const
{
	return (m_top - m_bottom);
}

void ZoomDimensions::swapIfOutOfOrder(void)
{
	if (m_left > m_right)
	{
		std::swap(m_left, m_right);
	}

	if (m_bottom > m_top)
	{
		std::swap(m_bottom, m_top);
	}
}
